• Syncterm Help

    From Hustler@VERT to All on Monday, December 31, 2018 01:32:00
    Hey folks. I compiled and installed Syncterm on Lubuntu 18.10 LXDE. All went well. However when I try to run Syncterm I get this error.

    ?X Error of failed request: BadValue (integer parameter out of range for operation)
    Major opcode of failed request: 12 (X_ConfigureWindow)
    Value in failed request: 0x0
    Serial number of failed request: 25
    Current serial number in output stream: 25
    ?

    Any ideas what the problem is??

    Thanks

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Mortifis@VERT/EMPTYKEG to Hustler on Monday, December 31, 2018 20:05:00
    Hey folks. I compiled and installed Syncterm on Lubuntu 18.10 LXDE. All went well. However when I try to run Syncterm I get this error.

    ?X Error of failed request: BadValue (integer parameter out of range for operation)
    Major opcode of failed request: 12 (X_ConfigureWindow)
    Value in failed request: 0x0
    Serial number of failed request: 25
    Current serial number in output stream: 25
    ?

    Any ideas what the problem is??

    Do you get that error if you open a term and run syncterm from the commandline or are you running it as a desktop app?

    ---
    Synchronet The Empty Keg BBS emptykeg.synchro.net:82 Lake Echo NS Canada
  • From Chai@VERT/FRUGALBB to Hustler on Monday, December 31, 2018 19:58:00
    Hustler wrote to All <=-

    Hey folks. I compiled and installed Syncterm on Lubuntu 18.10 LXDE. All went well. However when I try to run Syncterm I get this error.

    ?X Error of failed request: BadValue (integer parameter out of range
    for operation)
    Major opcode of failed request: 12 (X_ConfigureWindow)
    Value in failed request: 0x0
    Serial number of failed request: 25
    Current serial number in output stream: 25
    ?

    Any ideas what the problem is??

    I can't tell you what the problem is, but I ended up with a solution that
    is working for me.

    https://l33t.codes/syncterm-1-0-released/

    The link above: He's compiled SyncTerm 1.1b with CLANG and posted the
    binary at the bottom of that page. For some reason, his version works,
    while the binaries from the SyncTerm web page do not. If you prefer
    to get the application working yourself from source, leaving a comment
    at the bottom of his page might get you a tip.


    --- MultiMail/Win v0.51
    Synchronet Frugal Computing BBS - frugalbbs.com
  • From Hustler@VERT to Chai on Wednesday, January 02, 2019 03:28:00
    Re: Re: Syncterm Help
    By: Chai to Hustler on Mon Dec 31 2018 11:58 am

    Hey folks. I compiled and installed Syncterm on Lubuntu 18.10 LXDE.
    All went well. However when I try to run Syncterm I get this error.

    ?X Error of failed request: BadValue (integer parameter out of

    The link above: He's compiled SyncTerm 1.1b with CLANG and posted the binary at the bottom of that page. For some reason, his version works,
    to get the application working yourself from source, leaving a comment


    Thanks for the heads up. I have a feeling it's the LXQT in Lubuntu 18 causing the problem. I've run syncterm from my Lubuntu LXDE box without a hitch. Will have to do more research. I'm very happy using Qmodem so I'm not going to
    spend a lot of time on this problem. Thanks again.

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From Hustler@VERT/FRUGALBB to Mortifis on Wednesday, January 02, 2019 06:14:00
    Re: Re: Syncterm Help
    By: Mortifis to Hustler on Mon Dec 31 2018 12:05 pm

    Hey folks. I compiled and installed Syncterm on Lubuntu 18.10 LXDE.
    All went well. However when I try to run Syncterm I get this error.

    ?X Error of failed request: BadValue (integer parameter out of range
    for operation)
    Major opcode of failed request: 12 (X_ConfigureWindow)
    Value in failed request: 0x0
    Serial number of failed request: 25
    Current serial number in output stream: 25

    Any ideas what the problem is??
    Do you get that error if you open a term and run syncterm from the commandline or are you running it as a desktop app?

    When I try running it from CLI. I also tried sudo syncterm with the same results.

    ---
    Synchronet Frugal Computing BBS - frugalbbs.com